import {
  Actions,
  ActionType,
} from '../../entity/member/member.action';

import {
  State,
  initialState,
} from './member-modify-password.state';

export function reducer(state = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.ModifyPassword: {
      return {
        pending: true,
        error: null,
      };
    }

    case ActionType.ModifyPasswordSuccess: {
      return {
        pending: false,
        error: null,
      };
    }

    case ActionType.ModifyPasswordFailure: {
      return {
        pending: false,
        error: action.payload,
      };
    }

    default: {
      return state;
    }
  }
}

